Class Index | File Index

## Classes

- _global_
- jQuery
- RichFaces
- RichFaces.ajaxContainer
- RichFaces.BaseComponent
- RichFaces.Event
- RichFaces.queue

# Class RichFaces.BaseComponent

Base class for all components. All RichFaces components should use this class as base or another RichFaces class which based on it.

         //Inheritance example:
         (function ($, richfaces, params) {

         // Constructor definition
         richfaces.MyComponent = function(componentId, [options]) {
         // call constructor of parent class
         $super.constructor.call(this, componentId, [options]);

         // call this.attachToDom method to attach component to dom element
         // its required for the client side API calls and to clean up after ajax request or page unload:
         // destroy method will be called if component attached to dom
         this.attachToDom(componentId);

         };

         // define private method
         var myPrivateMethod = function () {
         }

         // Extend component class and add protected methods from parent class to our container
         richfaces.BaseComponent.extend(richfaces.BaseComponent, richfaces.MyComponent);

         // define super class link
         var $super = richfaces.MyComponent.$super;

         // Add new properties and methods
         $.extend(richfaces.MyComponent.prototype, (function (params) {
         return {
         name:"MyComponent",
         f:function (){alert("hello"),
         // destroy method definition for clean up
         destroy: function () {
         // clean up code here

         // call parent's destroy method
         $super.destroy.call(this);
         }
         }
         };
         })(params));
         })(jQuery, RichFaces);

Defined in: richfaces-base-component.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| RichFaces.BaseComponent(componentId)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| name Component name.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| destroy() Destroy method.
| detach(source) Detach component object from DOM element by component id, DOM element or jQuery object
<static> | RichFaces.BaseComponent.extend() Method extends child class prototype with parent prototype and return the object with parent's protected methods
| getEventElement() Method returns element's id for event handlers binding.
| toString() Method for converting object to string

Class Detail
RichFaces.BaseComponent(componentId)

Parameters:
{String} componentId
  - component id

Field Detail
{String} name
Component name.
Method Detail
destroy()
Destroy method. Will be called before remove component from the page

detach(source)
Detach component object from DOM element by component id, DOM element or jQuery object

Parameters:
{string|DOMElement|jQuery} source
  - component id, DOM element or DOM elements wrapped by jQuery

<static> {object} RichFaces.BaseComponent.extend()
Method extends child class prototype with parent prototype and return the object with parent's protected methods

Returns:
  {object}

{String} getEventElement()
Method returns element's id for event handlers binding. Event API calls this method when binding by component object as selector was used.

Returns:
  {String}

{String} toString()
Method for converting object to string

Returns:
  {String}

Documentation generated by JsDoc Toolkit 2.0.0 on Wed Oct 24 2012 11:40:11 GMT+0200 (CEST)